[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.AddAutomaticColumns

AddAutomaticColumns add as many columns as there are fields in the dataset; do this only at runtime.

## Declaration

Source position: dbgrids.pas line 362

`protected procedure TCustomDBGrid.AddAutomaticColumns;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net .